As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 553870 - If there is no update, "Checking for updates..." never disappears
: If there is no update, "Checking for updates..." never disappears
Status: VERIFIED FIXED
[rewrite]
:
Product: Toolkit
Classification: Components
Component: Add-ons Manager (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: mozilla1.9.3a5
Assigned To: Blair McBride [:Unfocused] (UNAVAILABLE)
:
: Andy McKay [:andym]
Mentors:
Depends on: 553868
Blocks: 550048
  Show dependency treegraph
 
Reported: 2010-03-20 22:00 PDT by Blair McBride [:Unfocused] (UNAVAILABLE)
Modified: 2011-03-08 14:09 PST (History)
5 users (show)
blair: in‑testsuite-
hskupin: in‑litmus+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image Blair McBride [:Unfocused] (UNAVAILABLE) 2010-03-20 22:00:48 PDT
When checking for updates, the addon item will show "Checking for updates...". However, if no update is found, this notice does not disappear. Additionally, there is no notice that no update was found.
Comment 1 User image Blair McBride [:Unfocused] (UNAVAILABLE) 2010-03-28 19:06:00 PDT
http://hg.mozilla.org/projects/addonsmgr/rev/0bf2342b9a13
Comment 2 User image Dave Townsend [:mossop] 2010-05-11 11:57:05 PDT
Landed on trunk as a part of bug 554007
Comment 3 User image Henrik Skupin (:whimboo) 2010-05-12 06:45:32 PDT
Verified with builds on all platforms like Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.3a5pre) Gecko/20100511 Minefield/3.7a5pre ID:20100511030640
Comment 4 User image Henrik Skupin (:whimboo) 2011-03-08 10:31:52 PST
Blair, can't this really be done in an automated test?
Comment 5 User image Henrik Skupin (:whimboo) 2011-03-08 14:09:49 PST
Covered by the Litmus test:
https://litmus.mozilla.org/show_test.cgi?id=15175

Note You need to log in before you can comment on or make changes to this bug.